<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda de Tiendas Extra  :: By Daniel Herrera T.   :: Version 1.3.1 AMECE 7.1 -->
<!-- Ultima modificacion DHT 28/05/2012 :: Se agrega la opcion de tomar los 17 primeros caracteres del UUID para el elemento uniqueCreatorIdentification si se trata de CFDI-->
<!-- Ultima modificacin DHT 05/08/2015 :: A solicitud de Tiendas Extra se agrega el namespace xmlns:modelo y el  prefijo correspondiente  -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:modelo="http://www.gmodelo.com.mx/CFD/Addenda/Receptor">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
	<xsl:element name="modelo:AddendaModelo">
		<xsl:element name="modelo:requestForPayment">
			<xsl:attribute name="type">SimpleInvoiceType</xsl:attribute>
			<xsl:attribute name="contentVersion">1.3.1</xsl:attribute>
			<xsl:attribute name="documentStructureVersion">AMC7.1</xsl:attribute>
			<xsl:attribute name="documentStatus">ORIGINAL</xsl:attribute>
			<xsl:attribute name="DeliveryDate"><xsl:value-of select="substring(Datos/CFD/@Fecha,1,10)"/></xsl:attribute>
			<xsl:element name="modelo:requestForPaymentIdentification">
				<xsl:element name="modelo:entityType">
					<xsl:value-of select="Datos/Documento/@Dato1"/>
				</xsl:element>
				<xsl:element name="modelo:uniqueCreatorIdentification">
					<xsl:choose>
						<xsl:when test="Datos/CFD/@UUID !=''"><xsl:value-of select="substring(Datos/CFD/@UUID, 1,17)"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="concat(Datos/CFD/@Serie,Datos/CFD/@Folio)"/></xsl:otherwise>
					</xsl:choose>
				</xsl:element>
			</xsl:element>
			<xsl:element name="modelo:specialInstruction">
				<xsl:attribute name="code">PUR</xsl:attribute>
				<xsl:element name="modelo:text">
					<xsl:value-of select="Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
				</xsl:element>
			</xsl:element>
			<xsl:if test="Datos/Documento/OrdenesCompra/OrdenCompra/@No !=''">   
				<xsl:element name="modelo:orderIdentification">
					<xsl:for-each select="Datos/Documento/OrdenesCompra/OrdenCompra">
						<xsl:element name="modelo:referenceIdentification">
							<xsl:attribute name="type">ON</xsl:attribute>
							<xsl:value-of select="@No"/>
						</xsl:element>
						<xsl:element name="modelo:ReferenceDate">
							<xsl:value-of select="substring(@Fecha,1,10)"/>
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
			</xsl:if>
			<xsl:if test="Datos/Documento/@Dato3 !=''">
				<xsl:element name="modelo:AdditionalInformation">
					<xsl:element name="modelo:referenceIdentification">
						<xsl:attribute name="type">IV</xsl:attribute>
						<xsl:value-of select="Datos/Documento/@Dato3"/>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<xsl:variable name="trbos" select="count(/Datos/Documento/RecibosMercancia/ReciboMercancia)"/>
			<xsl:if test="$trbos &gt; 0">
				<xsl:element name="modelo:DeliveryNote">
					<xsl:for-each select="/Datos/Documento/RecibosMercancia/ReciboMercancia">
						<xsl:if test="@Folio !=''">
							<xsl:element name="modelo:referenceIdentification">
								<xsl:value-of select="@Folio"/>
							</xsl:element>
						</xsl:if>
						<xsl:if test="@Fecha !=''">
							<xsl:element name="modelo:ReferenceDate">
								<xsl:value-of select="substring(@Fecha,1,10)"/>
							</xsl:element>
						</xsl:if>
					</xsl:for-each>
				</xsl:element>				
			</xsl:if>
			<xsl:element name="modelo:buyer">
				<xsl:element name="modelo:gln">
					<xsl:value-of select="substring(Datos/Receptor/Domicilio/@noLclGlobal,1,13)"/>
				</xsl:element>
				<xsl:element name="modelo:contactInformation">
					<xsl:element name="modelo:personOrDepartmentName">
						<xsl:element name="modelo:text">
							<xsl:value-of select="Datos/Receptor/Domicilio/@Referencia"/>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:element>
			<xsl:element name="modelo:seller">
				<xsl:element name="modelo:gln">
					<xsl:value-of select="Datos/Emisor/Domicilio/@noLclGlobal"/>
				</xsl:element>
				<xsl:element name="modelo:alternatePartyIdentification">
					<xsl:attribute name="type">SELLER_ASSIGNED_IDENTIFIER_FOR_A_PARTY</xsl:attribute>
					<xsl:value-of select="Datos/Emisor/@noProveedor"/>
				</xsl:element>
			</xsl:element>
			<xsl:if test="Datos/Receptor/Destino/@Localidad != ''">
				<xsl:element name="modelo:shipTo">
					<xsl:if test="Datos/Receptor/Destino/@noLclGlobal != ''">
						<xsl:element name="modelo:gln">
							<xsl:value-of select="substring(Datos/Receptor/Destino/@noLclGlobal,1,13)"/>
						</xsl:element>
					</xsl:if>
					<xsl:element name="modelo:nameAndAddress">
						<xsl:element name="modelo:name">
							<xsl:value-of select="substring(Datos/Receptor/Destino/@Nombre,1,35)"/>
						</xsl:element>
						<xsl:element name="modelo:streetAddressOne">
							<xsl:choose>
								<xsl:when test="string-length(Datos/Receptor/Destino/@Colonia) &gt; 0">
									<xsl:value-of select="substring(concat(Datos/Receptor/Destino/@Calle,'No. ',Datos/Receptor/Destino/@noExterior,' ',Datos/Receptor/Destino/@noInterior,'Col. ',Datos/Receptor/Destino/@Colonia),1,35)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="substring(concat(Datos/Receptor/Destino/@Calle,'No. ',Datos/Receptor/Destino/@noExterior,' ',Datos/Receptor/Destino/@noInterior),1,35)"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:if test="Datos/Receptor/Destino/@Localidad != ''">
							<xsl:element name="modelo:city">
								<xsl:value-of select="substring(Datos/Receptor/Destino/@Localidad,1,35)"/>
							</xsl:element>
						</xsl:if>
						<xsl:if test="Datos/Receptor/Destino/@CodigoPostal != ''">
							<xsl:element name="modelo:postalCode">
								<xsl:value-of select="Datos/Receptor/Destino/@CodigoPostal"/>
							</xsl:element>
						</xsl:if>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<xsl:element name="modelo:InvoiceCreator">
				<xsl:if test="Datos/Emisor/Sucursal/@noLclGlobal !=''">
					<xsl:element name="modelo:gln">
						<xsl:value-of select="Datos/Emisor/Sucursal/@noLclGlobal"/>
					</xsl:element>
				</xsl:if>
				<xsl:element name="modelo:alternatePartyIdentification">
					<xsl:attribute name="type">IA</xsl:attribute>
					<xsl:value-of select="Datos/Emisor/@noProveedor"/>
				</xsl:element>
				<xsl:element name="modelo:nameAndAddress">
					<xsl:element name="modelo:name">
						<xsl:value-of select="substring(Datos/Emisor/@Nombre,1,35)"/>
					</xsl:element>
					<xsl:variable name="dirsucursal" select="concat(Datos/Emisor/Sucursal/@Calle,Datos/Emisor/Sucursal/@noExterior,Datos/Emisor/Sucursal/@noInterior,Datos/Emisor/Sucursal/@Colonia)"/>
					<xsl:if test="$dirsucursal !=''">
						<xsl:element name="modelo:streetAddressOne">
							<xsl:value-of select="substring(concat(Datos/Emisor/Sucursal/@Calle,' ',Datos/Emisor/Sucursal/@noExterior,' ',Datos/Emisor/Sucursal/@noInterior,' ',Datos/Emisor/Sucursal/@Colonia),1,35)"/>
						</xsl:element>
					</xsl:if>
					<xsl:if test="Datos/Emisor/Sucursal/@Localidad !=''">
						<xsl:element name="modelo:city">
							<xsl:value-of select="substring(Datos/Emisor/Sucursal/@Localidad,1,35)"/>
						</xsl:element>
					</xsl:if>
					<xsl:if test="Datos/Emisor/Sucursal/@CodigoPostal !=''">
						<xsl:element name="modelo:postalCode">
							<xsl:value-of select="Datos/Emisor/Sucursal/@CodigoPostal"/>
						</xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:element>
			<xsl:element name="modelo:currency">
				<xsl:attribute name="currencyISOCode">
					<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
					<xsl:choose>
						<xsl:when test="$tpomon = 0">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 1">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 2">
							<xsl:text>USD</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 3">
							<xsl:text>XEU</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:element name="modelo:currencyFunction">
					<xsl:text>BILLING_CURRENCY</xsl:text>
				</xsl:element>
				<xsl:element name="modelo:rateOfChange">
					<xsl:value-of select="Datos/Documento/@TipoCambio"/>
				</xsl:element>
			</xsl:element>
			<xsl:element name="modelo:paymentTerms">
				<xsl:attribute name="paymentTermsEvent">DATE_OF_INVOICE</xsl:attribute>
				<xsl:attribute name="PaymentTermsRelationTime">REFERENCE_AFTER</xsl:attribute>
				<xsl:element name="modelo:netPayment">
					<xsl:attribute name="netPaymentTermsType">BASIC_NET</xsl:attribute>
					<xsl:element name="modelo:paymentTimePeriod">
						<xsl:element name="modelo:timePeriodDue">
							<xsl:attribute name="timePeriod">DAYS</xsl:attribute>
							<xsl:element name="modelo:value">
								<xsl:value-of select="Datos/Documento/@PlazoPago"/>
							</xsl:element>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:element>
			<xsl:for-each select="Datos/Documento/Descuentos/Descuento">
				<xsl:if test="@Porcentaje &gt; 0">
					<xsl:element name="modelo:allowanceCharge">
						<xsl:attribute name="allowanceChargeType">ALLOWANCE_GLOBAL</xsl:attribute>
						<xsl:attribute name="settlementType">OFF_INVOICE</xsl:attribute>
						<xsl:element name="modelo:specialServicesType">
							<xsl:text>DI</xsl:text>
						</xsl:element>
						<xsl:element name="modelo:monetaryAmountOrPercentage">
							<xsl:element name="modelo:rate">
								<xsl:attribute name="base">INVOICE_VALUE</xsl:attribute>
								<xsl:element name="modelo:percentage">
									<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
								</xsl:element>
							</xsl:element>
						</xsl:element>
					</xsl:element>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="Datos/Documento/Partidas/Partida">
				<xsl:element name="modelo:lineItem">
					<xsl:attribute name="type">SimpleInvoiceLineItemType</xsl:attribute>
					<xsl:variable name="numlinea">
						<xsl:choose>
							<xsl:when test="XMLAddenda/Documento/Generales/@NoPartida !=''">
								<xsl:value-of select="XMLAddenda/Documento/Generales/@NoPartida"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="position() * 10"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					<xsl:attribute name="orderLineNumber"><xsl:value-of select="$numlinea"/></xsl:attribute>
					<xsl:element name="modelo:tradeItemIdentification">
						<xsl:element name="modelo:gtin">
							<xsl:choose>
								<xsl:when test="@CodigoBarras !=''">
									<xsl:value-of select="@CodigoBarras"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="@CodigoCliente"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
					</xsl:element>
					<xsl:element name="modelo:alternateTradeItemIdentification">
						<xsl:attribute name="type">BUYER_ASSIGNED</xsl:attribute>
						<xsl:choose>
							<xsl:when test="@CodigoCliente !=''">
								<xsl:value-of select="@CodigoCliente"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$numlinea"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="modelo:tradeItemDescriptionInformation">
						<xsl:attribute name="language"><xsl:text>ES</xsl:text></xsl:attribute>
						<xsl:element name="modelo:longText">
							<xsl:value-of select="substring(@Descripcion,1,35)"/>
						</xsl:element>
					</xsl:element>
					<xsl:element name="modelo:invoicedQuantity">
						<xsl:attribute name="unitOfMeasure">
							<xsl:choose>
								<xsl:when test="@UnidadMedida = 'PZA'">
									<xsl:text>EA</xsl:text>
								</xsl:when>
								<xsl:when test="@NombreUnidadMedida = 'PIEZA'">
									<xsl:text>EA</xsl:text>
								</xsl:when>
								<xsl:when test="@NombreUnidadMedida = 'PIEZAS'">
									<xsl:text>EA</xsl:text>
								</xsl:when>
								<xsl:when test="@UnidadMedida = 'CJA'">
									<xsl:text>CA</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="@UnidadMedida"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:value-of select="@Cantidad"/>
					</xsl:element>
					<xsl:element name="modelo:aditionalQuantity">
						<xsl:attribute name="QuantityType"><xsl:text>NUM_CONSUMER_UNITS</xsl:text></xsl:attribute>
						<xsl:choose>
							<xsl:when test="@CantidadReferencial &gt; 0">
								<xsl:value-of select="@CantidadReferencial"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>1</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="modelo:grossPrice">
						<xsl:element name="modelo:Amount">
							<xsl:value-of select='format-number(@PrecioBruto,"0.00")'/>
						</xsl:element>
					</xsl:element>
					<xsl:element name="modelo:netPrice">
						<xsl:element name="modelo:Amount">
							<xsl:value-of select='format-number(@PrecioNeto,"0.00")'/>
						</xsl:element>
					</xsl:element>
					<xsl:element name="modelo:AdditionalInformation">
						<xsl:element name="modelo:referenceIdentification">
							<xsl:attribute name="type">DQ</xsl:attribute>
							<xsl:choose>
								<xsl:when test="/Datos/Documento/OrdenesCompra/OrdenCompra/@No !=''">
									<xsl:value-of select="/Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="/Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
					</xsl:element>
					<xsl:if test="Pedimentos/Pedimento/@noLclGlobalAdn !=''">
						<xsl:if test="Pedimentos/Pedimento/@No !=''">
							<xsl:if test="Pedimentos/Pedimento/@Fecha !=''">
								<xsl:if test="Pedimentos/Pedimento/@Aduana !=''">
									<xsl:element name="modelo:Customs">
										<xsl:element name="modelo:gln">
											<xsl:value-of select="Pedimentos/Pedimento/@noLclGlobalAdn"/>
										</xsl:element>
										<xsl:element name="modelo:alternatePartyIdentification">
											<xsl:attribute name="type"><xsl:text>TN</xsl:text></xsl:attribute>
											<xsl:value-of select="Pedimentos/Pedimento/@No"/>
										</xsl:element>
										<xsl:element name="modelo:ReferenceDate">
											<xsl:value-of select="substring(Pedimentos/Pedimento/@Fecha,1,10)"/>
										</xsl:element>
										<xsl:element name="modelo:nameAndAddress">
											<xsl:element name="modelo:name">
												<xsl:value-of select="Pedimentos/Pedimento/@Aduana"/>
											</xsl:element>
										</xsl:element>
									</xsl:element>
								</xsl:if>
							</xsl:if>
						</xsl:if>
					</xsl:if>
					<xsl:if test="Lotes/Lote/@no != ''">
						<xsl:element name="modelo:extendedAttributes">
							<xsl:element name="modelo:lotNumber">
								<xsl:attribute name="productionDate"><xsl:value-of select="substring(Lotes/Lote/@Fecha,1,10)"/></xsl:attribute>
								<xsl:value-of select="Lotes/Lote/@no"/>
							</xsl:element>
						</xsl:element>
					</xsl:if>
					<xsl:for-each select="Descuentos/Descuento">
						<xsl:if test="@Porcentaje &gt; 0">
							<xsl:element name="modelo:allowanceCharge">
								<xsl:attribute name="allowanceChargeType">ALLOWANCE_GLOBAL</xsl:attribute>
								<xsl:attribute name="settlementType">OFF_INVOICE</xsl:attribute>
								<xsl:element name="modelo:specialServicesType">
									<xsl:text>DI</xsl:text>
								</xsl:element>
								<xsl:element name="modelo:monetaryAmountOrPercentage">
									<xsl:element name="modelo:percentagePerUnit">
										<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
									</xsl:element>
									<xsl:element name="modelo:ratePerUnit">
										<xsl:element name="modelo:amountPerUnit">
											<xsl:variable name="suma_desc_doc" select="sum(../../../../Descuentos/Descuento/@Porcentaje)"/>
											<xsl:choose>
												<xsl:when test="$suma_desc_doc &gt; 0">
													<xsl:variable name="importe_desc" select="((../../@PrecioBruto) - (../../@PrecioBruto * ($suma_desc_doc div 100))) * (@Porcentaje div 100)"/>
													<xsl:value-of select='format-number($importe_desc,"0.00")'/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:variable name="importe_desc" select="(../../@PrecioBruto) * (@Porcentaje div 100)"/>
													<xsl:value-of select='format-number($importe_desc,"0.00")'/>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:element>
									</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="Impuestos/Impuesto">
						<xsl:if test="@Porcentaje &gt; 0">
							<xsl:element name="modelo:tradeItemTaxInformation">
								<xsl:variable name="tpoimp_t" select="@Tipo"/>
								<xsl:element name="modelo:taxTypeDescription">
									<xsl:choose>
										<xsl:when test="$tpoimp_t = 'IVA'">
											<xsl:text>VAT</xsl:text>
										</xsl:when>
										<xsl:when test="$tpoimp_t = 'IEPS'">
											<xsl:text>GST</xsl:text>
										</xsl:when>
										<xsl:when test="$tpoimp_t = 'RISR'">
											<xsl:text>LAC</xsl:text>
										</xsl:when>
										<xsl:when test="$tpoimp_t = 'RIVA'">
											<xsl:text>VAT</xsl:text>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:element>
								<xsl:element name="modelo:tradeItemTaxAmount">
									<xsl:element name="modelo:taxPercentage">
										<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
									</xsl:element>
									<xsl:element name="modelo:taxAmount">
										<xsl:value-of select='format-number(@Importe,"0.00")'/>
									</xsl:element>
								</xsl:element>
								<xsl:element name="modelo:taxCategory">
									<xsl:choose>
										<xsl:when test="$tpoimp_t = 'IVA'"><xsl:text>TRANSFERIDO</xsl:text></xsl:when>
										<xsl:when test="$tpoimp_t = 'IEPS'"><xsl:text>TRANSFERIDO</xsl:text></xsl:when>
										<xsl:when test="$tpoimp_t = 'RIVA'"><xsl:text>RETENIDO</xsl:text></xsl:when>
										<xsl:when test="$tpoimp_t = 'RISR'"><xsl:text>RETENIDO</xsl:text></xsl:when>
									</xsl:choose>
								</xsl:element>	
							</xsl:element>
						</xsl:if>
					</xsl:for-each>
					<xsl:element name="modelo:totalLineAmount">
						<xsl:element name="modelo:grossAmount">
							<xsl:element name="modelo:Amount">
								<xsl:value-of select='format-number(@ImpNeto,"0.00")'/>
							</xsl:element>
						</xsl:element>
						<xsl:element name="modelo:netAmount">
							<xsl:element name="modelo:Amount">
								<xsl:value-of select='format-number(@SubTotal,"0.00")'/>
							</xsl:element>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:for-each>
			<xsl:element name="modelo:totalAmount">
				<xsl:element name="modelo:Amount">
					<xsl:value-of select='format-number(Datos/Documento/@ImpNeto,"0.00")'/>
				</xsl:element>
			</xsl:element>
			<xsl:if test="Datos/Documento/@ImpDescuentos &gt; 0">
				<xsl:element name="modelo:TotalAllowanceCharge">
					<xsl:attribute name="allowanceOrChargeType">ALLOWANCE</xsl:attribute>
					<xsl:element name="modelo:specialServicesType">
						<xsl:text>DI</xsl:text>
					</xsl:element>
					<xsl:element name="modelo:Amount">
						<xsl:value-of select='format-number(Datos/Documento/@ImpDescuentos,"0.00")'/>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<xsl:element name="modelo:baseAmount">
				<xsl:element name="modelo:Amount">
					<xsl:value-of select='format-number(Datos/Documento/@SubTotal,"0.00")'/>
				</xsl:element>
			</xsl:element>
			<xsl:for-each select="Datos/Documento/Impuestos/Impuesto">
				<xsl:variable name="tpoimp_t2" select="@Tipo"/>
				<xsl:element name="modelo:tax">
					<xsl:attribute name="type">
						<xsl:choose>
							<xsl:when test="$tpoimp_t2 = 'IVA'">
								<xsl:text>VAT</xsl:text>
							</xsl:when>
							<xsl:when test="$tpoimp_t2 = 'IEPS'">
								<xsl:text>GST</xsl:text>
							</xsl:when>
							<xsl:when test="$tpoimp_t2 = 'RISR'">
								<xsl:text>LAC</xsl:text>
							</xsl:when>
							<xsl:when test="$tpoimp_t2 = 'RIVA'">
								<xsl:text>VAT</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:element name="modelo:taxPercentage">
						<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
					</xsl:element>
					<xsl:element name="modelo:taxAmount">
						<xsl:value-of select='format-number(@Importe,"0.00")'/>
					</xsl:element>
					<xsl:element name="modelo:taxCategory">
						<xsl:choose>
							<xsl:when test="$tpoimp_t2 = 'IVA'"><xsl:text>TRANSFERIDO</xsl:text></xsl:when>
							<xsl:when test="$tpoimp_t2 = 'IEPS'"><xsl:text>TRANSFERIDO</xsl:text></xsl:when>
							<xsl:when test="$tpoimp_t2 = 'RISR'"><xsl:text>RETENIDO</xsl:text></xsl:when>								
							<xsl:when test="$tpoimp_t2 = 'RIVA'"><xsl:text>RETENIDO</xsl:text></xsl:when>
							<xsl:otherwise><xsl:text>INDEFINIDO</xsl:text></xsl:otherwise>
						</xsl:choose>						
					</xsl:element>
				</xsl:element>
			</xsl:for-each>
			<xsl:element name="modelo:payableAmount">
				<xsl:element name="modelo:Amount">
					<xsl:value-of select='format-number(Datos/Documento/@ImpTotal,"0.00")'/>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:element>
	</xsl:template>
</xsl:stylesheet>